Bug 815391 (CVE-2012-2403)

Summary: CVE-2012-2403 wordpress (X < v3.3.2): XSS when making URLs clickable
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: limburgher, mcepl
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120420,reported=20120421,source=cve,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/wordpress=affected,epel-all/wordpress=affected,cwe=CWE-79[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 815401    
Bug Blocks:    

Description Jan Lieskovsky 2012-04-23 10:05:50 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-2403 to the following vulnerability:

wp-includes/formatting.php in WordPress before 3.3.2 attempts to enable clickable links inside attributes, which makes it easier for remote attackers to conduct cross-site scripting (XSS) attacks via unspecified vectors.

References:
http://core.trac.wordpress.org/changeset/20493/branches/3.3/wp-includes/capabilities.php
http://core.trac.wordpress.org/changeset/20493/branches/3.3/wp-includes/formatting.php
http://wordpress.org/news/2012/04/wordpress-3-3-2/
Comment 1 Jan Lieskovsky 2012-04-23 10:09:50 EDT
This issue affects the versions of the wordpress package, as shipped with Fedora release of 15 and 16.

--

This issue affects the versions of the wordpress package, as shipped with Fedora EPEL 5 and Fedora EPEL 6.
Comment 2 Jan Lieskovsky 2012-04-23 10:18:49 EDT
This issue is scheduled to be corrected via the following updates:
1) wordpress-3.3.2-2.el6  for Fedora EPEL 6,
2) wordpress-3.3.2-2.fc16 for Fedora 16,
3) wordpress-3.3.2-2.fc15 for Fedora 15.
Comment 3 Jan Lieskovsky 2012-04-23 10:29:14 EDT
Created wordpress tracking bugs for this issue

Affects: epel-all [bug 815401]
Comment 4 Fedora Update System 2012-05-10 16:41:17 EDT
wordpress-3.3.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-05-11 06:27:10 EDT
wordpress-3.3.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-05-11 06:29:53 EDT
wordpress-3.3.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-05-26 04:10:08 EDT
wordpress-3.3.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.